`<purpose>` | characterizes a single purpose or communicative function of the text.
Attributes: |
`type` | specifies a particular kind of purpose.
| Datatype: CDATA
| Legal values: |
`persuade` | didactic, advertising, propaganda, etc.
`express` | self expression, confessional, etc.
`inform` | convey information, educate, etc.
`entertain` | amuse, entertain, etc.
| Default: #IMPLIED
`degree` | specifies the extent to which this purpose predominates.
| Datatype: (high | medium | low | unknown)
| Legal values: |
`high` | this purpose is predominant
`medium` | this purpose is intermediate
`low` | this purpose is weak
`unknown` | extent unknown
| Default: #IMPLIED

Example

      <purpose type=persuade degree=high>
      <purpose type=entertain degree=low>

Note
Tagset auxiliary tag set for corpora and collections
Class
Filename `teicorp2`
Content: Usually empty, unless some further clarification of the type attribute is needed, in which case it may contain running prose
Parents textDesc
Children#PCDATA abbr add address app att c caesura cl corr damage date dateRange dateStruct del distinct emph expan foreign formula fw geogName gi gloss handShift hi lang link m measure mentioned name num oRef oVar orgName orig pRef pVar persName phr placeName ptr ref reg restore rs s seg sic soCalled space supplied tag term time timeRange timeStruct title unclear val w xptr xref
Declaration

    <!ELEMENT purpose       - O  (%phrase.seq)                      >
    <!ATTLIST purpose            %a.global
              type               CDATA               #IMPLIED
              degree             (high | medium | low | unknown)
                                                     #IMPLIED       >

See 23.2.1

Back to index